%define subver b3
Version: 2.0
Release: alt1.%subver
Name: emacs-chess
License: GPL
Group: Editors
Summary: Emacs client for Chess playing
Requires: emacs-common emacsen-startscripts
Url: http://www.gci-net.com/~johnw/Emacs/packages/

Source: http://www.gci-net.com/~johnw/Emacs/packages/chess-%version%subver.tar.bz2
Source1: emacs-chess-start-script.el
Source2: http://www.gci-net.com/~johnw/Emacs/packages/sounds.tar.bz2
Source3: http://www.gci-net.com/~johnw/Emacs/packages/pieces.tar.bz2

# Automatically added by buildreq on Tue Jun 17 2003
BuildRequires: emacs-common

%description
Chess.el is an Emacs chess client and library, designed to be used
for writing chess-related programs, or for playing games of chess
against various chess engines, including Internet servers.  The library
can be used for analyzing variations, browsing historical games, or a
multitude of other purposes.

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%prep
%setup -n chess-%version%subver

%build
make clean
make

%install
mkdir -p %buildroot/%_emacslispdir/chess/
install -m 644 *.el* %buildroot/%_emacslispdir/chess/
mkdir -p %buildroot/%_infodir/
install -m 644 *.info* %buildroot/%_infodir/
OLDWD=`pwd`
cd %buildroot/%_emacslispdir/chess/
tar jxf %SOURCE2
tar jxf %SOURCE3
cd $OLDWD
mkdir -p %buildroot/%_sysconfdir/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/%_sysconfdir/emacs/site-start.d/chess.el

%post
%install_info chess.info

%preun
%uninstall_info chess.info


%files
%doc README PLAN TODO tcscid.html ChangeLog EPD.txt PLAN
%_emacslispdir/chess/*.elc
%_emacslispdir/chess/sounds/
%_emacslispdir/chess/pieces/
%_infodir/*
%_sysconfdir/emacs/site-start.d/*

%files el
%_emacslispdir/chess/*.el

%changelog
* Mon Oct 20 2003 Ott Alex <ott@altlinux.ru> 2.0-alt1.b3
- fixing spec

* Thu Oct 16 2003 Ott Alex <ott@altlinux.ru> 2.0b3-alt1
- Initial build

